API ReferenceDevices
Query devices by user
Retrieve a paginated list of devices visible to the authenticated user. Either patient or organization is required.
x-api-key<token>
API key for authentication
In: header
Query Parameters
name?string
Name to filter by
role?string
Role to filter by
sortBy?string
Field to sort by
search?string
Search term to filter results
limit?integer
Number of items per page
Range
1 <= value <= 100000offset?integer|null
Offset for pagination, used to skip a number of items
Range
0 <= value <= 100000page?integer
Page number for pagination
Range
1 <= value <= 100000patient?string
Patient ObjectId. Required if organization is not provided.
organization?string
Organization ObjectId. Required if patient is not provided.
Response Body
application/json
curl -X GET "https://api.memo.wirewire.de/v1/devices/"[
{
"id": "682fd0d7d4a6325d9d45b86f",
"name": "Kitchen Display",
"serialNumber": "nrf-352656106701140",
"status": "online",
"createdAt": "2026-05-21T09:30:00.000Z",
"updatedAt": "2026-05-21T10:15:00.000Z"
}
]